Bug 176005 - [PATCH] x11-fonts/p5-Font-TTF: update to 1.02
Summary: [PATCH] x11-fonts/p5-Font-TTF: update to 1.02
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 10:20 UTC by gslin
Modified: 2013-02-14 10:30 UTC (History)
1 user (show)

See Also:


Attachments
p5-Font-TTF-1.02.patch (3.93 KB, patch)
2013-02-10 10:20 UTC, gslin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2013-02-10 10:20:01 UTC
- Update to 1.02

Port maintainer (perl@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-10 10:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-02-10 10:26:19 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2013-02-14 10:23:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-14 10:24:01 UTC
Author: culot
Date: Thu Feb 14 10:23:45 2013
New Revision: 312212
URL: http://svnweb.freebsd.org/changeset/ports/312212

Log:
  - Update to 1.02 [1]
  - Add LICENSE (Artistic 2)
  
  Changes:	http://search.cpan.org/dist/Font-TTF/Changes
  PR:		ports/176005 [1]
  Submitted by:	Gea-Suan Lin <gslin@gslin.org>

Modified:
  head/x11-fonts/p5-Font-TTF/Makefile   (contents, props changed)
  head/x11-fonts/p5-Font-TTF/distinfo   (contents, props changed)
  head/x11-fonts/p5-Font-TTF/pkg-plist   (contents, props changed)

Modified: head/x11-fonts/p5-Font-TTF/Makefile
==============================================================================
--- head/x11-fonts/p5-Font-TTF/Makefile	Thu Feb 14 09:45:45 2013	(r312211)
+++ head/x11-fonts/p5-Font-TTF/Makefile	Thu Feb 14 10:23:45 2013	(r312212)
@@ -1,13 +1,7 @@
-# ex:ts=8
-# Ports collection makefile for:	p5-Font-TTF
-# Date created:			Apr 28, 2002
-# Whom:				ijliao
-#
 # $FreeBSD$
-#
 
 PORTNAME=	Font-TTF
-PORTVERSION=	0.48
+PORTVERSION=	1.02
 CATEGORIES=	x11-fonts perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -15,6 +9,11 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	Perl module for TrueType font hacking
 
+LICENSE=	ART20
+
+BUILD_DEPENDS=	p5-IO-String>0:${PORTSDIR}/devel/p5-IO-String
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
 PERL_CONFIGURE=	yes
 
 MAN3=	\
@@ -32,12 +31,16 @@ MAN3=	\
 	Font::TTF::EBLC.3 \
 	Font::TTF::Fdsc.3 \
 	Font::TTF::Feat.3 \
+	Font::TTF::Features::Cvar.3 \
+	Font::TTF::Features::Size.3 \
+	Font::TTF::Features::Sset.3 \
 	Font::TTF::Fmtx.3 \
 	Font::TTF::Font.3 \
 	Font::TTF::Fpgm.3 \
 	Font::TTF::GDEF.3 \
 	Font::TTF::GPOS.3 \
 	Font::TTF::GSUB.3 \
+	Font::TTF::Gloc.3 \
 	Font::TTF::Glyf.3 \
 	Font::TTF::Glyph.3 \
 	Font::TTF::GrFeat.3 \
@@ -74,6 +77,7 @@ MAN3=	\
 	Font::TTF::Prep.3 \
 	Font::TTF::Prop.3 \
 	Font::TTF::Segarr.3 \
+	Font::TTF::Silf.3 \
 	Font::TTF::Sill.3 \
 	Font::TTF::Table.3 \
 	Font::TTF::Ttc.3 \
@@ -81,9 +85,9 @@ MAN3=	\
 	Font::TTF::Utils.3 \
 	Font::TTF::Vhea.3 \
 	Font::TTF::Vmtx.3 \
+	Font::TTF::Woff.3 \
+	Font::TTF::Woff::MetaData.3 \
+	Font::TTF::Woff::PrivateData.3 \
 	Font::TTF::XMLparse.3
 
-post-extract:
-	@${FIND} ${WRKSRC} -name '*.swp' -delete
-
 .include <bsd.port.mk>

Modified: head/x11-fonts/p5-Font-TTF/distinfo
==============================================================================
--- head/x11-fonts/p5-Font-TTF/distinfo	Thu Feb 14 09:45:45 2013	(r312211)
+++ head/x11-fonts/p5-Font-TTF/distinfo	Thu Feb 14 10:23:45 2013	(r312212)
@@ -1,2 +1,2 @@
-SHA256 (Font-TTF-0.48.tar.gz) = f924dec242312dfbe2740b8f6f03c491b007c3494b9e3c8d2f432a18d13e1f52
-SIZE (Font-TTF-0.48.tar.gz) = 201426
+SHA256 (Font-TTF-1.02.tar.gz) = ddf4d38d21d8aa865379867a64c34b88d347545bd1f3a526f1da8ec7a93199fa
+SIZE (Font-TTF-1.02.tar.gz) = 220317

Modified: head/x11-fonts/p5-Font-TTF/pkg-plist
==============================================================================
--- head/x11-fonts/p5-Font-TTF/pkg-plist	Thu Feb 14 09:45:45 2013	(r312211)
+++ head/x11-fonts/p5-Font-TTF/pkg-plist	Thu Feb 14 10:23:45 2013	(r312212)
@@ -8,19 +8,24 @@
 %%SITE_PERL%%/Font/TTF/Cmap.pm
 %%SITE_PERL%%/Font/TTF/Coverage.pm
 %%SITE_PERL%%/Font/TTF/Cvt_.pm
-%%SITE_PERL%%/Font/TTF/Delta.pm
 %%SITE_PERL%%/Font/TTF/DSIG.pm
+%%SITE_PERL%%/Font/TTF/Delta.pm
 %%SITE_PERL%%/Font/TTF/Dumper.pm
 %%SITE_PERL%%/Font/TTF/EBDT.pm
 %%SITE_PERL%%/Font/TTF/EBLC.pm
 %%SITE_PERL%%/Font/TTF/Fdsc.pm
 %%SITE_PERL%%/Font/TTF/Feat.pm
+%%SITE_PERL%%/Font/TTF/Features/Cvar.pm
+%%SITE_PERL%%/Font/TTF/Features/Size.pm
+%%SITE_PERL%%/Font/TTF/Features/Sset.pm
 %%SITE_PERL%%/Font/TTF/Fmtx.pm
 %%SITE_PERL%%/Font/TTF/Font.pm
 %%SITE_PERL%%/Font/TTF/Fpgm.pm
 %%SITE_PERL%%/Font/TTF/GDEF.pm
 %%SITE_PERL%%/Font/TTF/GPOS.pm
 %%SITE_PERL%%/Font/TTF/GSUB.pm
+%%SITE_PERL%%/Font/TTF/Glat.pm
+%%SITE_PERL%%/Font/TTF/Gloc.pm
 %%SITE_PERL%%/Font/TTF/Glyf.pm
 %%SITE_PERL%%/Font/TTF/Glyph.pm
 %%SITE_PERL%%/Font/TTF/GrFeat.pm
@@ -57,6 +62,7 @@
 %%SITE_PERL%%/Font/TTF/Prep.pm
 %%SITE_PERL%%/Font/TTF/Prop.pm
 %%SITE_PERL%%/Font/TTF/Segarr.pm
+%%SITE_PERL%%/Font/TTF/Silf.pm
 %%SITE_PERL%%/Font/TTF/Sill.pm
 %%SITE_PERL%%/Font/TTF/Table.pm
 %%SITE_PERL%%/Font/TTF/Ttc.pm
@@ -66,11 +72,16 @@
 %%SITE_PERL%%/Font/TTF/Vhea.pm
 %%SITE_PERL%%/Font/TTF/Vmtx.pm
 %%SITE_PERL%%/Font/TTF/Win32.pm
+%%SITE_PERL%%/Font/TTF/Woff.pm
+%%SITE_PERL%%/Font/TTF/Woff/MetaData.pm
+%%SITE_PERL%%/Font/TTF/Woff/PrivateData.pm
 %%SITE_PERL%%/Font/TTF/XMLparse.pm
 %%SITE_PERL%%/ttfmod.pl
-@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Font/TTF
-@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Font
-@dirrm %%SITE_PERL%%/Font/TTF/Mort
-@dirrm %%SITE_PERL%%/Font/TTF/Kern
+@dirrmtry %%SITE_PERL%%/Font/TTF/Woff
+@dirrmtry %%SITE_PERL%%/Font/TTF/Mort
+@dirrmtry %%SITE_PERL%%/Font/TTF/Kern
+@dirrmtry %%SITE_PERL%%/Font/TTF/Features
 @dirrmtry %%SITE_PERL%%/Font/TTF
 @dirrmtry %%SITE_PERL%%/Font
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Font/TTF
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Font
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"